com.amazonaws.services.simpleworkflow.model

## Enum WorkflowExecutionCancelRequestedCause

- java.lang.Object
- - java.lang.Enum<WorkflowExecutionCancelRequestedCause>
  - - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionCancelRequestedCause

All Implemented Interfaces:
  Serializable, Comparable<WorkflowExecutionCancelRequestedCause>

    public enum WorkflowExecutionCancelRequestedCause
    extends Enum<WorkflowExecutionCancelRequestedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHILD_POLICY_APPLIED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WorkflowExecutionCancelRequestedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static WorkflowExecutionCancelRequestedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WorkflowExecutionCancelRequestedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHILD_POLICY_APPLIED

    public static final WorkflowExecutionCancelRequestedCause CHILD_POLICY_APPLIED

### Method Detail

#### values

    public static WorkflowExecutionCancelRequestedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WorkflowExecutionCancelRequestedCause c : WorkflowExecutionCancelRequestedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WorkflowExecutionCancelRequestedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<WorkflowExecutionCancelRequestedCause>`

#### fromValue

    public static WorkflowExecutionCancelRequestedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  WorkflowExecutionCancelRequestedCause corresponding to the value